Main Page Modules Compound List File List Compound Members File Members

# XKB configuration elements enumeration functions

## Typedefs
typedef void(* | ConfigItemProcessFunc )(const XklConfigItemPtr configItem, void *userData)
typedef void(* | GroupProcessFunc )(const XklConfigItemPtr configItem, Bool allowMultipleSelection, void *userData)
## Functions
void | XklConfigEnumModels (ConfigItemProcessFunc func, void *userData)
void | XklConfigEnumLayouts (ConfigItemProcessFunc func, void *userData)
void | XklConfigEnumLayoutVariants (const char *layoutName, ConfigItemProcessFunc func, void *userData)
void | XklConfigEnumOptionGroups (GroupProcessFunc func, void *userData)
void | XklConfigEnumOptions (const char *optionGroupName, ConfigItemProcessFunc func, void *userData)

## Typedef Documentation

typedef void( * ConfigItemProcessFunc)( const XklConfigItemPtr configItem, void *userData )

  | Callback type used for enumerating keyboard models, layouts, variants, options Parameters:
  configItem | is the item from registry
  userData | is anything which can be stored into the pointer

typedef void( * GroupProcessFunc)( const XklConfigItemPtr configItem, Bool allowMultipleSelection, void *userData )

  | Callback type used for enumerating keyboard option groups Parameters:
  configItem | is the item from registry
  allowMultipleSelection | is a flag whether this group allows multiple selection
  userData | is anything which can be stored into the pointer

## Function Documentation

void XklConfigEnumLayouts | ( | ConfigItemProcessFunc | func,
|  | void * | userData
| ) |

  | Enumerates keyboard layouts from the XML configuration registry Parameters:
  func | is a callback to call for every layout
  userData | is anything which can be stored into the pointer

void XklConfigEnumLayoutVariants | ( | const char * | layoutName,
|  | ConfigItemProcessFunc | func,
|  | void * | userData
| ) |

  | Enumerates keyboard layout variants from the XML configuration registry Parameters:
  layoutName | is the layout name for which variants will be listed
  func | is a callback to call for every layout variant
  userData | is anything which can be stored into the pointer

void XklConfigEnumModels | ( | ConfigItemProcessFunc | func,
|  | void * | userData
| ) |

  | Enumerates keyboard models from the XML configuration registry Parameters:
  func | is a callback to call for every model
  userData | is anything which can be stored into the pointer

void XklConfigEnumOptionGroups | ( | GroupProcessFunc | func,
|  | void * | userData
| ) |

  | Enumerates keyboard option groups from the XML configuration registry Parameters:
  func | is a callback to call for every option group
  userData | is anything which can be stored into the pointer

void XklConfigEnumOptions | ( | const char * | optionGroupName,
|  | ConfigItemProcessFunc | func,
|  | void * | userData
| ) |

  | Enumerates keyboard options from the XML configuration registry Parameters:
  optionGroupName | is the option group name for which variants will be listed
  func | is a callback to call for every option
  userData | is anything which can be stored into the pointer